<div class="row post" *ngFor="let post of posts">
    <div class="col-md-1">
        <app-vote-button [post]="post"></app-vote-button>
    </div>
    <div class="col-md-11">
        <span class="subreddit-info">
            <span class="subreddit-text"><a class="posturl" routerLink="">{{post.subredditName}}</a></span>
            <span> . Posted by <a class="username" routerLink="/user-profile/{{post.userName}}">{{post.userName}}</a></span>
            <span> . {{post.duration}}</span>
        </span>
        <hr />
        <div class="post-content">
            <div class="post-tile">
                <a class="postname" href="{{post.url}}">{{post.postName}}</a>
            </div>
            <div>
                <p class="post-text" [innerHtml]="post.description"></p>
            </div>
        </div>
        <hr />
        <span>
            <a class="btnCommments" role="button">
                <fa-icon [icon]="faComments"></fa-icon>
                Comments({{post.commentCount}})
            </a>
            <button class="login" (click)="goToPost(post.id)">
                Read Post
            </button>
        </span>
    </div>
</div>